{% assign subcategories_displayed = false %}
{% if collection.handle == 'kitchen' or collection.handle == 'cabinets' %}
  {% if current_tags != blank %}
    {% for tag in current_tags %}
      {% assign tag_handleized = tag | handleize %}
      {% if tag_handleized == 'cabinet-hardware' %}
        {% assign subcategories_displayed = true %}
<div class="widget collection-filter-cabinet-hardware hide-if-no-list-items mb40">
  <h4>Category</h4>
  <ul class="widget-content links-list def-anch-hov">
    {% for i in (1..10) %}
      {% capture tag_key %}{{ collection.handle | slice: 0, 5 }}_cabhw_cat{{ i }}{% endcapture %}
      {% if settings[tag_key] != blank %}
    <li><a href="{{ collection.url }}/cabinet-hardware+{{ settings[tag_key] | handleize }}" title="{{ settings[tag_key] }}">{{ settings[tag_key] }}</a></li>
      {% endif %}
    {% endfor %}
  </ul>
</div>
      {% endif %}
    {% endfor %}
  {% endif %}
{% endif %}

{% assign filter_prefixes = 'Color-,Sink Base Size-,Material-,Sink Mounting Style-,Sink Depth-,Sink Width-,Sink Bowl Layout-,Gauge-,Sink Length-,Brand-,Room-,Finish-,Sink Corner Radius-,Sink Drain Placement-,Vessel Diameter-,Faucet Holes-,Surface Texture-,Bulb Included-,Bulb Number-,LED Option-,Install Position-,Glass Color-,Faucet Mount Style-,Spout Reach-,Faucet Height-,Vanity Mount-,Hardware Type-,Hardware CC-,Vanity Width-,Vanity Sink Quantity-' | split: ',' %}

{% comment %}<!-- { % if current_tags != blank %}
<h4 class="filters-label"><a href="{ { shop.url }}/collections/{ { collection.handle }}" class="btn btn-warning btn-xs btn-reset-filters pull-right">Reset</a>Active Filters</h4>
<ul class="active-filters mb40" data-canonicalurl="{ { canonical_url }}">
  { % for tag in current_tags %}
    { % capture tag_with_icon %}<i class="fa fa-times"></i>{ { tag | replace: '-', ' ' | replace: '10000', '$10,000' | replace: '20000', '$20,000' | replace: '30000', '$30,000' | replace: '0 $', '0 - $' }}{ % endcapture %}
  <li>{ { tag_with_icon | link_to_remove_tag: tag }}</li>
  { % endfor %}
</ul>
{% endif %} -->{% endcomment %}

{% if collection.products.size > 0 and subcategories_displayed == false %}

<h4 class="mt0 mb20">Shop By</h4>

  {% if collection.all_tags.size > 0 %}
    {% for filter_prefix in filter_prefixes %}
      {% comment %}<!-- { % if current_tags != blank %}
        { % capture tag_base_url %}
      { % endif %} -->{% endcomment %}
<div class="widget collection-filter-{{ filter_prefix | replace: '-', '' | handleize }} hide-if-no-list-items">
  <h4>{{ filter_prefix | replace: '-', '' }}</h4>
  <ul class="widget-content links-list def-anch-hov">
    {% for tag in collection.all_tags %}
      {% if tag contains filter_prefix %}
    <li><a href="{{ collection.url }}/{{ tag | handleize }}" title="{{ tag | replace: filter_prefix, '' }}">{{ tag | replace: filter_prefix, '' }}</a></li>
      {% endif %}
    {% endfor %}
  </ul>
</div>
    {% endfor %}
    {% comment %}<!--{% endcomment %}
<div class="widget collection-tags">
  <h4>Collection Tags</h4>
  <ul class="widget-content links-list def-anch-hov">
    {% for tag in collection.all_tags %}
    <li><a href="{{ collection.url }}/{{ tag | handleize }}" title="{{ tag }}">{{ tag }}</a></li>
    {% endfor %}
  </ul>
</div>
    {% comment %}-->{% endcomment %}
  {% endif %}

{% endif %}